LuxRender Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001657LuxRenderCorepublic2017-03-14 08:022017-03-14 08:28
Reporterbartoszek 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusnewResolutionopen 
PlatformpcOSlinuxOS Version4.10.2
Product Version 
Target VersionFixed in Version 
Summary0001657: [patch] Fix Qt4 moc bug preventing form building luxrays for boost>=1.5
DescriptionQt4 moc compiler has problem with latest boost (>=1.5) headers parsing.
Those header aren't needed for moc-qt4 to successfully finish compilation.
Those headers should be excluded with Q_MOC_RUN macro.
Additional InformationSys-info:
arch-linux (linux 4.10.2)
gcc-6.3
boost-1.63

Packages verisons:
local/luxblend25-hg 3778.747f33198cd0-1
    LuxRender exporter plugin for Blender
local/luxrays-hg 3727+.7c5be28666f6+-1
    Accelerate the ray intersection process by using GPUs
local/luxrender-hg 4916+.e8f1c5ff54b0+-1
TagsNo tags attached.
Mercurial Changeset #e8f1c5ff54b0
Requires Documentation UpdateNo
Requires Exporter Update
Attached Filespatch file icon moc_boost.patch [^] (648 bytes) 2017-03-14 08:02 [Show Content]

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2017-03-14 08:02 bartoszek New Issue
2017-03-14 08:02 bartoszek File Added: moc_boost.patch
2017-03-14 08:28 bartoszek Summary Qt4 moc bug prevent form building luxrays for boost>=1.5 [patch] => [patch] Fix Qt4 moc bug preventing form building luxrays for boost>=1.5


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker